Subject: Re: [PATCH 0/2] PowerPC: Add 44x NDFC device-tree aware support

From: Stefan Roese <[email-masked]>
Date: Sat, 27 Oct 2007 06:42:53 +0200

Hi Valentine,

On Friday 26 October 2007, Thomas Gleixner wrote:
> On Fri, 26 Oct 2007, Valentine Barshak wrote:
> > The major difference is that the original implements each chip connected
> > NDFC banks as a separate MTD device. Here I try to have one MTD device
> > spread on all chips found. However, the chips should have equal ID's and
> > sizes, but I've never seen several different chips attached to single
> > ndfc.
>
> Bamboo has 2 different nand chips.

Right. This was my first thought after seeing your mail too.

> And I'm aware of another board 
> which has a 2k-page onboard NAND and sockets for SmartMedia /
> PictureXd cards, which will simply break with your design.
>
> Restricting stuff for no good reason is never a good idea.

Add my voice here too.

> mtdconcat can build you a big one if you want, so why adding
> restrictions to a driver ?
>
> > I'm adding ndfc_of as a separate file, since some other changes
> > have also been made (e.g. all i/o is made with ndfc_readl/writel inline
> > functions).
>
> This should be done in the original ndfc driver and not in a separate
> incarnation.

Right. And I always thought it would be a good idea to switch to using the 
in_be32() functions and friends for IO access in this driver too.

Best regards,
Stefan